#ifndef _H_C6DC5E59911FC9B7845BE6208C687036_ChronyTrackingStatus__H_
#define _H_C6DC5E59911FC9B7845BE6208C687036_ChronyTrackingStatus__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "std_msgs/msg/dds_opensplice/Header_.h"


namespace marti_status_msgs
{
    namespace msg
    {
        namespace dds_
        {
            struct  ChronyTrackingStatus_
            {
                ::std_msgs::msg::dds_::Header_ header_;
                ::DDS::String_mgr reference_;
                ::DDS::Long stratum_;
                ::DDS::Double system_time_offset_;
                ::DDS::Double last_offset_;
                ::DDS::Double rms_offset_;
                ::DDS::Float frequency_offset_;
                ::DDS::Float residual_frequency_;
                ::DDS::Float skew_;
                ::DDS::Double root_delay_;
                ::DDS::Double root_dispersion_;
                ::DDS::Float update_interval_;
                ::DDS::String_mgr leap_status_;
            };

            typedef DDS_DCPSStruct_var<ChronyTrackingStatus_> ChronyTrackingStatus__var;
            typedef DDS_DCPSStruct_out < ChronyTrackingStatus_> ChronyTrackingStatus__out;

        }

    }

}

#endif /* _H_C6DC5E59911FC9B7845BE6208C687036_ChronyTrackingStatus__H_ */
